Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class ConstraintStage

    java.lang.Object
      com.hp.hpl.jena.graph.query.Stage
          com.hp.hpl.jena.graph.query.ConstraintStage

    public class ConstraintStage

extends Stage

A ConstraintStage implements the constraint evaluation part of a query. Any constraints not handled by previous PatternStages are prepared against the mapping and valuated against each binding that comes down the pipe; only bindings that evaluate to `true` are passed onward.

Author:
  kers

Field Summary

Fields inherited from class com.hp.hpl.jena.graph.query.Stage
`stillOpen`

Constructor Summary
`ConstraintStage(Mapping map, ExpressionSet constraint)` Initialise this ConstraintStage with the mapping [from names to indexes] and ExpressionSet [the constraint expressions] that will be evaluated when the constraint stage runs.

Method Summary
`Pipe` | `deliver(Pipe L)` the delivery component: read the domain elements out of the input pipe, and only pass on those that satisfy the predicate.

Methods inherited from class com.hp.hpl.jena.graph.query.Stage
`close, connectFrom, initial, isClosed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintStage

    public ConstraintStage(Mapping map,
                           ExpressionSet constraint)

  Initialise this ConstraintStage with the mapping [from names to indexes] and ExpressionSet [the constraint expressions] that will be evaluated when the constraint stage runs.

Method Detail

### deliver

    public Pipe deliver(Pipe L)

  the delivery component: read the domain elements out of the input pipe, and only pass on those that satisfy the predicate.

  Specified by:
    `deliver` in class `Stage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP